Subject: [bug#42678] [PATCH, WIP] gnu: libimagequant: Update to 2.12.6

From: Hendur Saga <[email-masked]>
Date: Sun, 2 Aug 2020 16:09:10 +0000 (UTC)

Hello,

Just a simple update, but sadly, I am unable to build using QEMU for other platforms. Same as with previous version, it does NOT build correctly on armhf.

starting phase `configure'
source directory: "/tmp/guix-build-libimagequant-2.12.6.drv-0/source" (relative from build: ".")
build directory: "/tmp/guix-build-libimagequant-2.12.6.drv-0/source"
configure flags: ("CONFIG_SHELL=/gnu/store/7zp9ifpgm3zj481nk6jg1im13g4mza2g-bash-minimal-5.0.16/bin/bash" "SHELL=/gnu/store/7zp9ifpgm3zj481nk6jg1im13g4mza2g-bash-minimal-5.0.16/bin/bash" "--prefix=/gnu/store/m65h6a45pz3wpraiid99hqq0rcbk5s9w-libimagequant-2.12.6" "--enable-fast-install" "--build=arm-unknown-linux-gnueabihf")
warning: unknown switch 'CONFIG_SHELL' (see ./configure --help for the list)
warning: unknown switch 'SHELL' (see ./configure --help for the list)
warning: unknown switch '--enable-fast-install' (see ./configure --help for the list)
warning: unknown switch '--build' (see ./configure --help for the list)

  Compiler: gcc
     Debug: no
       SSE: yes
    OpenMP: no

phase `configure' succeeded after 3.3 seconds
starting phase `patch-generated-file-shebangs'
phase `patch-generated-file-shebangs' succeeded after 0.0 seconds
starting phase `build'
gcc -fno-math-errno -funroll-loops -fomit-frame-pointer -Wall -std=c99 -I. -O3 -DNDEBUG -DUSE_SSE=1 -msse -Wno-unknown-pragmas -fexcess-precision=fast   -c -o pam.o pam.c
gcc -fno-math-errno -funroll-loops -fomit-frame-pointer -Wall -std=c99 -I. -O3 -DNDEBUG -DUSE_SSE=1 -msse -Wno-unknown-pragmas -fexcess-precision=fast   -c -o mediancut.o mediancut.c
gcc -fno-math-errno -funroll-loops -fomit-frame-pointer -Wall -std=c99 -I. -O3 -DNDEBUG -DUSE_SSE=1 -msse -Wno-unknown-pragmas -fexcess-precision=fast   -c -o blur.o blur.c
gcc -fno-math-errno -funroll-loops -fomit-frame-pointer -Wall -std=c99 -I. -O3 -DNDEBUG -DUSE_SSE=1 -msse -Wno-unknown-pragmas -fexcess-precision=fast   -c -o mempool.o mempool.c
gcc: error: unrecognized command line option ‘-msse’; did you mean ‘-fdse’?
make: *** [<builtin>: pam.o] Error 1
make: *** Waiting for unfinished jobs....
gcc: error: unrecognized command line option ‘-msse’; did you mean ‘-fdse’?
gcc: error: unrecognized command line option ‘-msse’; did you mean ‘-fdse’?
make: *** [<builtin>: mediancut.o] Error 1
make: *** [<builtin>: blur.o] Error 1
gcc: error: unrecognized command line option ‘-msse’; did you mean ‘-fdse’?
make: *** [<builtin>: mempool.o] Error 1
command "make" "-j" "4" failed with status 2

It appears to be an false assumption of SSE2 support where there is none? In addition, the same error happens when building this new version on aarch64, but not the previous one. The package definition for gemmlowp might have a clue as to what to do here.

Since QEMU is a machine emulator/virtualizer, I'm not sure how relevant this is, but my machine's CPU does not have SSE2 itself, AFAIK.

- Hendursaga
From 13d5468c407ef569b343ff1e7cbdb6be2bfc5f3c Mon Sep 17 00:00:00 2001
From: Hendursaga <[email-masked]>
Date: Sun, 2 Aug 2020 15:59:55 +0000
Subject: [PATCH] gnu: libimagequant: Update to 2.12.6

* gnu/packages/image.scm (libimagequant): Update to 2.12.6
---
 gnu/packages/image.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/image.scm b/gnu/packages/image.scm
index ac523172de..159e75150f 100644
--- a/gnu/packages/image.scm
+++ b/gnu/packages/image.scm
@@ -304,7 +304,7 @@ Currently all documentation resides in @file{pnglite.h}.")
 (define-public libimagequant
   (package
     (name "libimagequant")
-    (version "2.12.5")
+    (version "2.12.6")
     (source
      (origin
        (method git-fetch)
@@ -313,7 +313,7 @@ Currently all documentation resides in @file{pnglite.h}.")
              (commit version)))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "0cp68w04ja5pv77ssfafsn958w9hh9zb8crrlb5j3gsrcmdc032k"))))
+        (base32 "00w7fny3xf14cfyhbdnmqyh9ddqdh1irvgzxd35a2z65kp7vnvj0"))))
     (build-system gnu-build-system)
     (arguments
      '(#:tests? #f))                    ; no check target
-- 
2.28.0